version: '3.7'
services:
  python_container:
    build: 
      context: ./infrastructure/app_python
      dockerfile: Dockerfile
    ports:
      - ${API_FLASK_PORT}:4450
    volumes:
      - ./app:/app
    networks:
      - shared_network
    tty: true

  nginx:
    image: nginx
    ports:
      - 8450:80
    volumes:
      - ./infrastructure/config_nginx/nginx.conf:/etc/nginx/nginx.conf
      - ./nginx_logs:/var/log/nginx
    networks:
      - shared_network

networks:
  shared_network:
    external: true

volumes:
  db-admin-data:
    driver: local
    name: db-admin-data